summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2015-12-21 17:13:53 +0100
committerPatrick Lauer <patrick@gentoo.org>2015-12-21 17:13:53 +0100
commita6cf3b5485be21ed7419eb54cd95480fcc71b26f (patch)
tree20b765f0c3d1140024bdae03408cb8dffc54d621 /app-benchmarks/siege/siege-3.1.3.ebuild
parentdev-lang/hy: Fix docs and examples install #562160 (diff)
downloadgentoo-a6cf3b5485be21ed7419eb54cd95480fcc71b26f.tar.gz
gentoo-a6cf3b5485be21ed7419eb54cd95480fcc71b26f.tar.bz2
gentoo-a6cf3b5485be21ed7419eb54cd95480fcc71b26f.zip
app-benchmarks/siege: Bump
Package-Manager: portage-2.2.26
Diffstat (limited to 'app-benchmarks/siege/siege-3.1.3.ebuild')
-rw-r--r--app-benchmarks/siege/siege-3.1.3.ebuild50
1 files changed, 50 insertions, 0 deletions
diff --git a/app-benchmarks/siege/siege-3.1.3.ebuild b/app-benchmarks/siege/siege-3.1.3.ebuild
new file mode 100644
index 00000000000..f8d6138e1c4
--- /dev/null
+++ b/app-benchmarks/siege/siege-3.1.3.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+#WANT_AUTOMAKE=1.9
+
+inherit eutils bash-completion-r1 libtool autotools
+
+DESCRIPTION="A HTTP regression testing and benchmarking utility"
+HOMEPAGE="https://www.joedog.org/siege-home/"
+SRC_URI="http://download.joedog.org/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~hppa ~mips ~ppc ~x86 ~x64-macos"
+SLOT="0"
+IUSE="ssl"
+
+RDEPEND="ssl? ( >=dev-libs/openssl-0.9.6d:= )"
+DEPEND="${RDEPEND}
+ sys-devel/libtool"
+
+src_prepare() {
+ # bundled macros break recent libtool
+ sed -i -e 's/AC_PROG_SHELL//' configure.ac || die
+ rm *.m4 || die "failed to remove bundled macros"
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+ use ssl && myconf="--with-ssl=${EPREFIX}/usr" || myconf="--without-ssl"
+ econf ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ dodoc AUTHORS ChangeLog INSTALL README* KNOWNBUGS \
+ doc/siegerc doc/urls.txt
+
+ newbashcomp "${FILESDIR}"/${PN}.bash-completion ${PN}
+}
+
+pkg_postinst() {
+ echo
+ elog "An example ~/.siegerc file has been installed in"
+ elog "${EPREFIX}/usr/share/doc/${PF}/"
+}